NewOrder (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class NewOrder

- java.lang.Object
- - com.marketfactory.messaging.NewOrder

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<NewOrder>

      public final class NewOrder
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<NewOrder>, java.io.Serializable

  Trading Event: An order hitting a quote.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `java.lang.String` | `detail`
    `java.lang.String` | `execID`
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `isBaseSpecified`
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `java.lang.String` | `orderID` Internal order ID.
    `OrderType` | `ordType` Default is previously quoted, but some venues would send limit as well.
    `java.lang.String` | `partyID`
    `MFFloat` | `price` A currency price, in MFFloat format.
    `java.lang.String` | `quoteID`
    `java.lang.String` | `quoteReqID`
    `int` | `sequenceID` User sequence id.
    `long` | `settlDate`
    `Side` | `side`
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.
    `long` | `tradeDate`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `NewOrder()`
    `` | `NewOrder(int sequenceID, int feedID, int marketID, boolean isBaseSpecified, Side side, MFFloat price, MFFloat amount, OrderType ordType, java.lang.String partyID, java.lang.String clOrdID, java.lang.String orderID, java.lang.String execID, java.lang.String quoteID, java.lang.String quoteReqID, long tradeDate, long settlDate, long timeHandler, long timeApiServer, long timeApiClient, long timeExchange, java.lang.String detail)`
    `protected` | `NewOrder(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NewOrder rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sequenceID

          public int sequenceID

      User sequence id.

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### isBaseSpecified

          public boolean isBaseSpecified

    - #### side

          public Side side

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### ordType

          public OrderType ordType

      Default is previously quoted, but some venues would send limit as well.

    - #### partyID

          public java.lang.String partyID

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### orderID

          public java.lang.String orderID

      Internal order ID.

    - #### execID

          public java.lang.String execID

    - #### quoteID

          public java.lang.String quoteID

    - #### quoteReqID

          public java.lang.String quoteReqID

    - #### tradeDate

          public long tradeDate

    - #### settlDate

          public long settlDate

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### detail

          public java.lang.String detail

  - ### Constructor Detail

    - #### NewOrder

          public NewOrder()

    - #### NewOrder

          protected NewOrder(ProtoByteBuffer buffer)

    - #### NewOrder

          public NewOrder(int sequenceID,
                          int feedID,
                          int marketID,
                          boolean isBaseSpecified,
                          Side side,
                          MFFloat price,
                          MFFloat amount,
                          OrderType ordType,
                          java.lang.String partyID,
                          java.lang.String clOrdID,
                          java.lang.String orderID,
                          java.lang.String execID,
                          java.lang.String quoteID,
                          java.lang.String quoteReqID,
                          long tradeDate,
                          long settlDate,
                          long timeHandler,
                          long timeApiServer,
                          long timeApiClient,
                          long timeExchange,
                          java.lang.String detail)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(NewOrder rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<NewOrder>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)